﻿<%@ Page Language="C#" AutoEventWireup="true"  CodeFile="Default.aspx.cs" Inherits="_Default" %>

<%@ Register Assembly="RadGrid.Net2" Namespace="Telerik.WebControls" TagPrefix="radG" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>Untitled Page</title>
    <style>
        body
        {
            font-family:Verdana; font-size:12px;
        }
        .title
        {
        	font-style:italic;
        	font-weight:bold;
        }
    </style>
</head>
<body>
    <form id="form1" runat="server">
    <div>
        <span class="title">DataSource type used to bind RadGrid</span>:
        <asp:RadioButtonList ID="rblDataSourceTypes" runat="server" AutoPostBack="True" 
            onselectedindexchanged="rblDataSourceTypes_SelectedIndexChanged" RepeatDirection="Horizontal">            
            <asp:ListItem Value="0" Selected="True">SqlDataSource</asp:ListItem>
            <asp:ListItem Value="1">ObjectDataSource</asp:ListItem>
        </asp:RadioButtonList>        
    </div>
    <div>
        <radG:RadGrid ID="RadGrid1" runat="server" AllowPaging="True" GridLines="None" ShowGroupPanel="True"
            AllowSorting="True" AutoGenerateColumns="false" Skin="Office2007">

            <ClientSettings AllowDragToGroup="True">
            </ClientSettings>
            <MasterTableView>
                <GroupByExpressions>                   
                    <radG:GridGroupByExpression>
                        <SelectFields>
                            <radG:GridGroupByField FieldName="date" HeaderText="Received" HeaderValueSeparator=" " FormatString="{0:MMM yyyy}"></radG:GridGroupByField>                                                        
                        </SelectFields>
                        <GroupByFields>
                            <radG:GridGroupByField FieldName="receivedByMonth" HeaderText="Month of receiving" SortOrder="Descending"></radG:GridGroupByField>                           
                        </GroupByFields>
                    </radG:GridGroupByExpression>
                </GroupByExpressions>
                <Columns>
                    <radG:GridBoundColumn DataField="ID" DataType="System.Int32" HeaderText="ID" ReadOnly="True"
                        SortExpression="ID" UniqueName="ID" Visible="false">
                    </radG:GridBoundColumn>
                    <radG:GridBoundColumn DataField="name" HeaderText="From" SortExpression="name" UniqueName="name">
                    </radG:GridBoundColumn>                    
                    <radG:GridBoundColumn DataField="subject" HeaderText="Msg Subject" SortExpression="subject"
                        UniqueName="subject">
                    </radG:GridBoundColumn>
                    <radG:GridBoundColumn DataField="date" DataType="System.DateTime" HeaderText="Date received"
                        SortExpression="date" UniqueName="date" DataFormatString="{0:dd/MM/yyyy}">
                    </radG:GridBoundColumn>
                    <radG:GridBoundColumn DataField="receivedByMonth" DataType="System.DateTime"
                        ReadOnly="True" UniqueName="receivedByMonth" Visible="false">
                    </radG:GridBoundColumn>
                </Columns>
                <RowIndicatorColumn Visible="False">
                    <HeaderStyle Width="20px"></HeaderStyle>
                </RowIndicatorColumn>
                <ExpandCollapseColumn Visible="False" Resizable="False">
                    <HeaderStyle Width="20px"></HeaderStyle>
                </ExpandCollapseColumn>
            </MasterTableView>
        </radG:RadGrid>
    </div>    
    <asp:SqlDataSource ID="SqlDataSource1" runat="server" ConnectionString="<%$ ConnectionStrings:ConnectionString %>"        
        SelectCommand="SELECT ID, name, date, subject, CAST(CONVERT (nvarchar(20), CAST(MONTH(date) AS nvarchar(10)) + '/01/' + CAST(YEAR(date) AS nvarchar(10)), 101) AS datetime) AS receivedByMonth FROM email"></asp:SqlDataSource>    
    <asp:ObjectDataSource ID="ObjectDataSource1" runat="server" 
        SelectMethod="GetAllEmails" TypeName="MailService"></asp:ObjectDataSource>
    </form>
</body>
</html>
