﻿using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;

/// <summary>
/// Data container object
/// </summary>
public class Email
{
    private int _id;
    private string _name;
    private DateTime _date;
    private string _subject;

    public int Id
    {
        get { return _id; }
        set { _id = value; }
    }    

    public string Name
    {
        get { return _name; }
        set { _name = value; }
    }    

    public DateTime Date
    {
        get { return _date; }
        set { _date = value; }
    }
    
    public string Subject
    {
        get { return _subject; }
        set { _subject = value; }
    }

    //date for grouping
    public DateTime ReceivedByMonth
    {
        get { return new DateTime(Date.Year, Date.Month, 1); }
    }
}
