﻿using System;
using System.Configuration;
using System.Data;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;

public partial class _Default : System.Web.UI.Page 
{
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!IsPostBack){
            SetRadGridDataSource();
        }
    }

    private void SetRadGridDataSource() 
    {
        if (int.Parse(rblDataSourceTypes.SelectedValue) == 0)
        {
            RadGrid1.DataSourceID = SqlDataSource1.ID;
        }
        else if (int.Parse(rblDataSourceTypes.SelectedValue) == 1)
        {
            RadGrid1.DataSourceID = ObjectDataSource1.ID;
        }        
    }
    protected void rblDataSourceTypes_SelectedIndexChanged(object sender, EventArgs e)
    {
        SetRadGridDataSource();
    }
}
